/*******************************************************************************
* Copyright (c)                                                                *
*           2005   Tristan Allwood,                                            *
*           2005   Daniel Burke,                                               *
*           2005   Marc Hull,                                                  *
*           2005   Ekaterina Itskova,                                          *
*           2005   Steve Zymler                                                *
*                                                                              *
* Permission is hereby granted, free of charge, to any person obtaining a      *
* copy of this software and associated documentation files (the                *
* "Software"), to deal in the Software without restriction, including          *
* without limitation the rights to use, copy, modify, merge, publish,          *
* distribute, sublicense, and/or sell copies of the Software, and to           *
* permit persons to whom the Software is furnished to do so, subject to        *
* the following conditions:                                                    *
*                                                                              *
* The above copyright notice and this permission notice shall be included      *
* in all copies or substantial portions of the Software.                       *
*                                                                              *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS      *
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                   *
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.       *
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY         *
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,         *
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE            *
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                       *
*******************************************************************************/
/*
 * Created on 09-Nov-2004
 *
 */

package uk.ac.ic.doc.kevlar.gui.internal.taskpane.searchpane;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Text;

import uk.ac.ic.doc.kevlar.gui.internal.ADrawableObject;
import uk.ac.ic.doc.kevlar.gui.internal.AMouseListenerObject;
import uk.ac.ic.doc.kevlar.gui.internal.caches.ColorCache;
import uk.ac.ic.doc.kevlar.gui.internal.caches.FontCache;
import uk.ac.ic.doc.kevlar.gui.internal.caches.Utils;
import uk.ac.ic.doc.kevlar.gui.internal.widgets.swt.ISWTOkListener;
import uk.ac.ic.doc.kevlar.gui.internal.widgets.swt.SWTTextBox;

/**
 * @author Kate
 *
 */

public class SearchBox extends AMouseListenerObject implements ISWTOkListener{
	
	private static final String SEARCH_BOX_SKIN = "editbox";
	public static final Point SEARCH_BOX_SIZE = new Point(160, 50);
	
	private SWTTextBox searchField;
	
	public SearchBox(Point position)
	{
		super();
		
		setPosition(position);
		setSize(SEARCH_BOX_SIZE); 
		
		searchField = new SWTTextBox(SWT.MULTI);
		searchField.setPosition(new Point(5,2));
		searchField.setSizeFillBoth(new Point(2,5)); 
		addChild(searchField);
		searchField.hide();
		
	}
	
	public void drawBefore(GC gc, Rectangle redrawArea) 
	{
		Utils.drawBox(gc, new Rectangle(-redrawArea.x, -redrawArea.y, area.width, area.height), SEARCH_BOX_SKIN);
    }

	public void showTextBox()
	{	
	    searchField.show();
	    searchField.updateDimensions();
	}
	
	public SWTTextBox getTextBox()
	{
		return searchField;
	}
	
	public void hideTextBox()
	{
		searchField.hide();
	}
	
	public void onOk() {
		
	}
}
